Subject: [Megaco] Digitmap completion issue

From: Charles Qiu Xiuping <[email-masked]>
Date: Tue, 26 Nov 2002 11:16:17 +0800

Hi, All.

Here's a digitmap completion issue.

  Given a digitmap  ([2-9]xxxxxxx|0xx|[0-9EF].L)  and dail "28780808" 
  it matches [2-9]xxxxxxx now, but it possibly will match  0-9EF].L  also,
  so MG waits for some time (short timer), if no more digits pressed, it will report.

  The issue is that I want the "28780808" to be reported immediately instead of waiting 
  for some time.

  Sure one way out is that we avoid the digitmap like above,but here I wonder could we do 
  anything else to accomplish it without violating current rules? 

Thanks,
Regards,

Charles Qiu Xiuping

---

From: "Kevin Boyle" <[email-masked]>
Date: Tue, 26 Nov 2002 10:56:41 -0500

You could implement H.248.16, which provides the ability to use shortest
possible match, rather than longest possible.  It also allows other
capabilities, such as reporting mismatch digits for inclusion in logs, etc.

Kevin

-----Original Message-----
From: Charles Qiu Xiuping [mailto:[email-masked]] 
Sent: Tuesday, November 26, 2002 1:09 AM
To: Kanika Garg
Cc: [email-masked]
Subject: Re: [Megaco] Digitmap completion issue

Then let's modified the digitmap to :    S:0,[2-9]xxxxxxxS|0xx.F|[0-9EF].L  
I think  it is a kind of  way out though strange...

----- Original Message ----- 
From: "Kanika Garg" <[email-masked]>
To: "Charles Qiu Xiuping" <[email-masked]>; "Megaco Mailing List"
<[email-masked]>
Sent: Tuesday, November 26, 2002 12:55 PM
Subject: Re: [Megaco] Digitmap completion issue

> Hi,
> 
> According to the RFC 3015 in section 7.1.14.2
> 
> "3) If the digit string has matched one of the
> patterns in a digit map, but it is possible that more
> digits could be received which would cause a match
> with a different pattern, then instead of reporting
> the match immediately, the MG 'must' apply the short
> timer (S) and wait for more digits. "
> 
> Please note the word 'must' in the clause above. It
> should wait for some amount of time, i.e. specified in
> short timer.
> 
> Regards,
> Kanika Garg
> 
> 
> --- Charles Qiu Xiuping <[email-masked]> wrote:
> > Hi, All.
> > 
> =====
> Kanika Garg
> Engineer Trainee,
> Next Generation Networks Group,
> HFCL, R&D Division, Gurgaon
> 
> +91-124-8901601/701 (Extn. 315)
> 9818082414
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Mail Plus - Powerful. Affordable. Sign up now. 
> http://mailplus.yahoo.com 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Kevin Boyle" <[email-masked]>
Date: Tue, 26 Nov 2002 10:56:41 -0500

Kevin

----- Original Message ----- 
From: "Kanika Garg" <[email-masked]>
To: "Charles Qiu Xiuping" <[email-masked]>; "Megaco Mailing List"
<[email-masked]>